cdac.medinfo.base

## Class StandardMethods

- java.lang.Object
- - cdac.medinfo.base.StandardMethods

-     public class StandardMethods
      extends java.lang.Object

  This class defines Standard methods used in CCD lib

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMethods()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `generateUUID()` This method generates the unique identifier.
    `static java.lang.String` | `getCalendarDate(java.lang.String dateValue)` This method generates the Date in Calendar format e.g.Nov 14, 1999 .
    `static java.lang.String` | `getCCDFileStorage()` Retrieves the CCD File storage path ( "user.home")
    `static java.lang.String` | `getTempDirectoryStorage()` Retrieves the temp directory storage path ( "java.io.tmpdir")

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardMethods

          public StandardMethods()

  - ### Method Detail

    - #### generateUUID

          public static java.lang.String generateUUID()

      This method generates the unique identifier.
      Returns:
        String - unique identifier.

    - #### getTempDirectoryStorage

          public static java.lang.String getTempDirectoryStorage()

      Retrieves the temp directory storage path ( "java.io.tmpdir")
      Returns:
        String - path.

    - #### getCCDFileStorage

          public static java.lang.String getCCDFileStorage()

      Retrieves the CCD File storage path ( "user.home")
      Returns:
        String - path.

    - #### getCalendarDate

          public static java.lang.String getCalendarDate(java.lang.String dateValue)

      This method generates the Date in Calendar format e.g.Nov 14, 1999 .
      Parameters:
        `dateValue` - - date value in YYYYMMDD format
      Returns:
        String - Date Value.